@ECHO OFF
echo Windows 8 ocx install
echo.
echo This batch file should be run as administrator
echo.
if EXIST c:\windows\SysWOW64 echo WIN7/8 ok
echo.
set /p mypath= Paste in the path to your source files and enter ? 
cd %mypath%
echo.
echo Copying RICHTX32.OCX
copy RICHTX32.OCX C:\Windows\SysWOW64\RICHTX32.OCX
echo.
echo Copying MSCOMM32.OCX
copy MSCOMM32.OCX c:\windows\SysWOW64\MSCOMM32.OCX
echo.
echo.
echo Registering new ocx files
echo.
if EXIST c:\windows\SysWOW64\RICHTX32.OCX regsvr32 c:\windows\SysWOW64\RICHTX32.OCX
if EXIST c:\windows\SysWOW64\MSCOMM32.OCX regsvr32 c:\windows\SysWOW64\MSCOMM32.OCX
